import processing.core.PApplet;

public class PAppletTest extends PApplet {
	
	public void settings() {
		size(300, 300);
		smooth(8);
	}
	
	public void setup() {
		rectMode(CENTER);
		background(255);
		noFill();
	}

	public void draw() {
		strokeWeight(0.01f);
		float s1 = sin(frameCount * 0.1f);
		translate(width * 0.5f, height * 0.5f);
		rotate(s1 * PI);
		scale(sin(frameCount * 0.01f));
		float s2 = map(s1, -1.0f, 1.0f, -150, 150);
		rect(s2, s2, s2, s2);
	}
	
	public static void main(String[] args) {
		PApplet.main(PAppletTest.class.getCanonicalName());
	}

}
