import processing.core.PApplet;
import processing.core.PImage;

public class TextureTest extends PApplet {
	
	PImage texture;
	
	public void settings() {
	  size(1280, 720, P3D);
	  println("jogamp.gluegen.UseTempJarCache =",System.getProperty("jogamp.gluegen.UseTempJarCache"));
	}
	
	public void setup(){
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\gluegen-rt.dll");
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\jogl_desktop.dll");
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\jogl_mobile.dll");
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\nativewindow_awt.dll");
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\nativewindow_win32.dll");
	  System.load("C:\\Users\\george.profenza\\Documents\\eclipse\\P5Tests\\natives\\windows-amd64\\newt.dll");
	  
	  texture = createImage(4096,2166,RGB);
	  for(int i = 0 ; i < texture.pixels.length; i++){
	    texture.pixels[i] = color(random(255),random(255),random(255),255);
	  }
	  texture.updatePixels();
	  
	  int now = millis();
	  image(texture,0,0);
	  println(millis()-now,"ms");
	}

	public void draw(){
	  background(0);
	  //image(texture,0,0);
	  
	  int x1 = 0;
	  int y1 = 0;
	  int x2 = width;
	  int y2 = height;
	  
	  int u1 = 0;
	  int v1 = 0;
	  int u2 = width;
	  int v2 = height;
	  
	  beginShape(QUADS);
	  texture(texture);
	  vertex(x1, y1, u1, v1);
	  vertex(x1, y2, u1, v2);
	  vertex(x2, y2, u2, v2);
	  vertex(x2, y1, u2, v1);
	  endShape();
	  
	  println(frameCount,millis());
	  surface.setTitle((int)frameRate+"fps");
	}
	
	public static void main(String[] args) {
		PApplet.main(TextureTest.class.getCanonicalName());
	}

}
